# 10.2. The Classtools

The classtools are dialogs that makes it even more easier for the developer to get more information about his project's classes . The classviewer displays all objects by their occurrence in the code, but you sometimes want to get more information about classes without having to look inside the code. Therefore, the classtool dialogs are specialized on displaying specific class attributes .

The classtool dialog is invoked by the popup menu over a class in the classviewer . Select "Classtool", and the dialog will appear. To get informed about a class, select the class in the combo box on top. Then the buttons in the toolbar provide functions that give you specific trees for your class. These are:

Parents:

  The parents of the selected class, which means the class it inherits. This is useful for multiple inheritance as well as to see why a class behaves in one or the other way, e.g. for dialogs your parent class could be `QWidget` or `QDialog`.

Children:

  Displays the children classes that inherit the current class.

Clients:

  Classes that make use of the selected class by an attribute in their class declaration

Suppliers:

  The suppliers that give attributes to the selected class.

Attributes:

  The attributes of the class by their name

Methods:

  The Methods of the selected class

Further, the selection of the attribute public, protected, private or all shows Attributes, Methods and Virtual Methods by their attribute value.